package de.avatic.taricdb.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Table;

import jakarta.validation.constraints.Size;

@Table("setup_status")
public class SetupStatus {

	@Id
    private Integer id;

    private Integer currentRecord;

    private Integer maxRecord;

    @Size(max = 255)
    private String statusText;

    private Boolean running;

    @Size(max = 255)
    private String exitStatus;

	public SetupStatus(int currentRecord, int maxRecord, String statusText, boolean running, String exitStatus) {
		this.currentRecord = currentRecord;
		this.maxRecord = maxRecord;
		this.statusText = statusText;
		this.running = running;
		this.exitStatus = exitStatus;
	}

    
    public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public Integer getCurrentRecord() {
        return currentRecord;
    }

    public void setCurrentRecord(final Integer currentRecord) {
        this.currentRecord = currentRecord;
    }

    public Integer getMaxRecord() {
        return maxRecord;
    }

    public void setMaxRecord(final Integer maxRecord) {
        this.maxRecord = maxRecord;
    }

    public String getStatusText() {
        return statusText;
    }

    public void setStatusText(final String statusText) {
        this.statusText = statusText;
    }

    public Boolean getRunning() {
        return running;
    }

    public void setRunning(final Boolean running) {
        this.running = running;
    }

    public String getExitStatus() {
        return exitStatus;
    }

    public void setExitStatus(final String exitStatus) {
        this.exitStatus = exitStatus;
    }

}
